This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 495664 - --from-url fails with a module attribute error
--from-url fails with a module attribute error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 06:03 EDT by Kevin Verma
Modified: 2009-12-18 04:14 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:14:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kevin Verma 2009-04-14 06:03:11 EDT
Description of problem:

I was curious to test new --from-url feature and every search URL I used failed with same error. Please see the example snippet. 

<snip>
$ bugzilla query --from-url="https://bugzilla.redhat.com/buglist.cgi?bug_status=NEW&bug_status=VERIFIED&bug_status=ASSIGNED&bug_status=MODIFIED&bug_status=ON_DEV&bug_status=ON_QA&bug_status=FAILS_QA&bug_status=RELEASE_PENDING&bug_status=POST&email1=kevinverma%40fedoraproject.org&emailtype1=exact&emailassigned_to1=1&emailreporter1=1&emailcc1=1"
Traceback (most recent call last):
  File "/usr/bin/bugzilla", line 595, in <module>
    main()
  File "/usr/bin/bugzilla", line 360, in main
    q = bugzilla.util.url_to_query(u)
  File "/usr/lib/python2.5/site-packages/bugzilla/util.py", line 12, in url_to_query
    q = dict(urlparse.parse_qsl(query))
AttributeError: 'module' object has no attribute 'parse_qsl'
<snip>

Version-Release number of selected component (if applicable):
git clone 

How reproducible:
always
Comment 1 Will Woods 2009-04-14 11:50:07 EDT
Should work now - at least in F10/F11 - although there's a bug where multiple instances of the same parameter get overwritten - i.e. bug_status=NEW&bug_status=POST just gets you bug_status=POST. But this works with python-bugzilla-0.5.1-2:

bugzilla query --from-url="https://bugzilla.redhat.com/buglist.cgi?bug_status=NEW&email1=kevinverma%40fedoraproject.org&emailtype1=exact&emailassigned_to1=1&emailreporter1=1&emailcc1=1"

What Fedora/RHEL version are you using? Maybe parse_qsl doesn't exist in old versions of the urlparse library.
Comment 2 Kevin Verma 2009-04-15 02:06:04 EDT
I was using python-bugzilla from source-install, just updated to the latest RPM (python-bugzilla-0.5.1-2.fc10.noarch) I am using F10. 

The problem persists, what component should I check to make sure I have an expected version of urlparse library ? and shouldn't that be checked by RPM deps. 

Thanks !
Comment 3 Bug Zapper 2009-11-18 04:59:29 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 04:14:50 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.